com.sun.grid.jgdi.monitoring

## Interface QHostResult

- All Known Implementing Classes:
    QHostResultImpl

      public interface QHostResult

  This interface represent the result of the qhost algorithm.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<HostInfo>` | `getHostInfo()` Get a list of all available host info objects
    `HostInfo` | `getHostInfo(java.lang.String host)` Get the host info for a host
    `java.util.Set<java.lang.String>` | `getHostNames()` Get a set of all hostnames

- - ### Method Detail

    - #### getHostNames

          java.util.Set<java.lang.String> getHostNames()

      Get a set of all hostnames
      Returns:
        set of hostnames

    - #### getHostInfo

          HostInfo getHostInfo(java.lang.String host)

      Get the host info for a host
      Parameters:
        `host` - name of the host
      Returns:
        the host info

    - #### getHostInfo

          java.util.List<HostInfo> getHostInfo()

      Get a list of all available host info objects
      Returns:
        list of all available host info objects

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.